//
//  MyAppDelegate.h
//  MyRecorder
//
//  Created by steve on 11/3/10.
//  Copyright 2010 TriPrism, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "EditAVMovieWindowController.h"
#import "BarcodeEntryController.h" // 2014-11-04steve

@interface MyAppDelegate : NSObject {

	IBOutlet NSWindow* _selectStartupWindow;
	IBOutlet NSMatrix* _selectionMatrix;
	
	id _mainWindowController;
    EditAVMovieWindowController * _editMovieWindowController;
    
    NSMutableSet * _childProcesses; // 2013-10-08steve

    NSRunningApplication* _oldApp; // 2014-09-25steve
    
    BarcodeEntryController* fBarcodeController; // 2014-11-04steve

}

@property (nonatomic,retain) NSRunningApplication* _oldApp; // 2014-09-25steve
@property (nonatomic,retain) BarcodeEntryController* fBarcodeController; // 2014-11-04steve


-(IBAction) showStartupModeOptions:(id) sender;
- (IBAction)selectStartupModeButtonHit:(id)sender;
-(IBAction) closeSheet:(id)sender;

@end
