//
//  SalesWindowController.h
//  MyRecorder
//
//  Created by steve on 11/7/10.
//  Copyright 2010 TriPrism, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
// #import "myCustomNSView.h"
#import "TepsPhotoQueryController.h"// 2013-10-04steve
#import "EditAVMovieWindowController.h" // 2013-10-08steve
#import "AVMovieViewController.h" // 2013-10-22steve
#import "MyAVAssetRW.h"


@interface SalesStationWindowController  : NSWindowController <TepsEditAVMovieDelegate>
{

	IBOutlet	NSPanel			*mSaveAsPanel;
	IBOutlet	NSPanel			*mMovieSavedPanel;
	IBOutlet	NSTabView		*_myNSTabView;
	IBOutlet	QTMovieView		*_mQTMovieView;
	// IBOutlet	myCustomNSView	*_mMyCustomView;
	
	NSString*	_myCurrentMovieToSell;
	
	NSString *mTempRenameString;
	NSString*	mCurWorkingPath;
    IBOutlet	NSPanel			*mSearchIdPanel; // 2013-10-04steve
    
    IBOutlet    NSPanel         *mProgressPanel; // 2013-11-20steve
    IBOutlet    NSProgressIndicator *mProgressIndicator; // 2013-11-20steve
    IBOutlet    NSProgressIndicator *mProgressIndicatorBar; // 2013-11-20steve
    
    BOOL queryStarted; // 2013-10-04steve
    TepsPhotoQueryController* photoQuery; // 2013-10-04steve
    AVMovieViewController* mAVMovieViewController; // 2013-10-22steve
    
    dispatch_semaphore_t waitSemaphore; // 2013-11-19steve
    
    NSArray* fTepsArrayOfPhotos; // 2014-07-27steve

}

@property (retain) NSString *_myCurrentMovieToSell;
@property (retain) NSString *mTempRenameString;
@property (retain) NSString *mCurWorkingPath;
@property (nonatomic,assign) BOOL queryStarted; // 2013-10-04steve
@property (nonatomic,retain) TepsPhotoQueryController* photoQuery; // 2013-10-04steve
@property (nonatomic,retain) EditAVMovieWindowController* mEditMovieController; // 2013-10-08steve
@property (nonatomic,retain) AVMovieViewController* mAVMovieViewController; // 2013-10-22steve
@property (nonatomic,retain) NSArray* fTepsArrayOfPhotos; // 2014-07-27steve

-(IBAction) closeMovieSavedSheet:(id)sender;

-(IBAction) doClear:(id)sender;
-(IBAction) closeSheet:(id)sender;


-(IBAction) doRevealOriginalVideosFolder:(id)sender;
-(IBAction) doShowMovieFullScreen:(id)sender;
-(IBAction) doPurchaseMovie:(id)sender;
-(IBAction) doRenameMovie:(id)sender;
-(IBAction) doFindNextCustomer:(id)sender;


-(IBAction) ibClickedOnChangeOriginalVideosFolder:(id)sender;
-(IBAction) ibClickedOnChangeToBeBurnFolder:(id)sender;


-(void) setupAndStartQuery:(NSArray*)keys; // 2013-10-04steve
-(void)didSaveEditedMovie:(id)param; // 2013-10-08



@end
