//
//  TEPSApplication.m
//  Teps-VideoWall
//
//  Created by triprism on 20141013.
//
//
static BOOL gVerbose = NO;

static NSString* sAddStringToBufferNotification = @"AddStringToBuffer";
static NSString* sNewCustomerIdNotification = @"NewCustomerId";
static NSString* sTepsPreviewerNotification = @"TepsPreviewerNotification"; // 2011-10-10steve
static NSString * sTepsXNotification = @"tepsXNotification"; // 2011-10-24steve
static NSString* cTepsOpenPanelString = @"TepsOpenPanel";
static NSString*	sPrefClearWindowForNewCustomerID = @"prefClearWindowForNewCustomerID"; // 2011-10-08steve
static NSString* sDoButtonNotification = @"DoButtonNotification";

#import "borderlessWindow.h" // 2014-10-20steve

#import "TEPSApplication.h"

@implementation TEPSApplication
-(void)sendEvent:(NSEvent *)theEvent
{
    if (gVerbose) 	NSLog (@ "Inside %@ => %@...", self, NSStringFromSelector(_cmd) );


    BOOL doPassAlong = YES; // 2014-10-20steve
    
    if(theEvent.type==NSKeyDown) {
        
        BOOL hasModifiers = NO; // 2014-10-20steve

        NSString *characters = [[theEvent characters] stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceCharacterSet]];
        unichar mychar = [characters characterAtIndex:0];
        if (gVerbose) NSLog (@"Found Letter [0x%02x] = [%c]", mychar, mychar );

        if ( [theEvent modifierFlags]&(NSCommandKeyMask|NSControlKeyMask|NSAlternateKeyMask) )
        {
            // cmd key was pressed
            if (gVerbose) NSLog (@ "********************************Inside %@ => %@...NSCommandKeyMask|NSControlKeyMask|NSAlternateKeyMask", self, NSStringFromSelector(_cmd) );	// 2008-08-14steve
            if (gVerbose) NSLog (@ "********************************Inside %@ => %@...NSCommandKeyMask|NSControlKeyMask|NSAlternateKeyMask", self, NSStringFromSelector(_cmd) );	// 2008-08-14steve
            
            if ( [theEvent modifierFlags]&(NSCommandKeyMask) ) // 2011-06-03steve
            {
                if ( tolower(mychar)=='1' ) // 2011-06-03steve
                {
                    NSLog (@ "2011-06-03steve ======================= Found CMD-1" );
                    // cmd-1
                    [[NSNotificationCenter defaultCenter] postNotificationName:cTepsOpenPanelString object:[theEvent window]];
                }
                else if ( tolower(mychar)=='t' )
                {
                    // cmd-t
                    // menubar may handle it before it gets here
                    NSLog (@ "2011-06-03steve ======================= Found CMD-T" );
                }
                
            }
            
            hasModifiers = YES; // 2014-10-20steve
        }
        else {
            
            if ( characters )
            {
                //handled = YES;
                NSDictionary* param = [NSDictionary dictionaryWithObjectsAndKeys:characters,@"newString", [NSDate date],@"date", theEvent, @"NSEvent", nil];
                [[NSNotificationCenter defaultCenter] postNotificationName:sAddStringToBufferNotification object:param];
                
            } else {
                
            }
            
        }
        
        
        NSWindow* keywindow = [NSApp keyWindow];
        if ( [keywindow isKindOfClass:[borderlessWindow class]] ) {
            if (gVerbose)
                NSLog (@ "Inside %@ => %@...keyWindow is slideshowwindow....", self, NSStringFromSelector(_cmd) );
            
            if ( !hasModifiers) {
                doPassAlong = NO;
            }
        }


    }
    

    
    if (doPassAlong)
    {
        [super sendEvent:theEvent];
    }
}
@end
