//
//  TepsAdditions.m
//  HttpUploader
//
//  Created by steve on 9/28/11.
//  Copyright 2011 TriPrism, Inc. All rights reserved.
//

#import "TepsAdditions.h"

//@implementation NSMutableString (TepsAdditions)
//
////-(BOOL) appendImageData:(NSString*)imagePath forKey:(NSString*)keyname
////{
////	if ( imagePath==nil )
////	{
////		return NO;
////	}
////	
////	BOOL itemExists = [[NSFileManager defaultManager] fileExistsAtPath:imagePath];
////	if ( itemExists==NO )
////	{
////		return NO;
////	}
////
////	NSError* error = nil;
////	NSString *myFileString = [NSString stringWithContentsOfFile:imagePath encoding:NSASCIIStringEncoding error:&error];
////	if ( myFileString )
////	{
////		[self appendFormat:@"&%@=%@",keyname, myFileString];
////	}
////	if ( error )
////	{
////		NSLog ( @"2011-09-29steve error = %@", error );
////	}
////	return YES;
////}
//
//
//@end



@implementation NSMutableData (TepsAdditions)

-(NSString*) getBoundaryString
{
	return [NSString stringWithString:cTepsBoundaryString];
}

-(BOOL) appendBoundary
{
	// must put "--" IN FRONT of boundary when writing out to data file
	[self appendData:[[NSString stringWithFormat:@"\r\n--%@\r\n",cTepsBoundaryString] dataUsingEncoding:NSUTF8StringEncoding]];

	return YES;
}

-(BOOL) appendData:(id)data forName:(NSString*)name
{
	if ( data==nil ) return NO;
	if ( name==nil ) return NO;
	
	// [self appendData:[[NSString stringWithFormat:@"\r\n--%@\r\n",stringBoundary] dataUsingEncoding:NSUTF8StringEncoding]];
	[self appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"%@\"\r\n\r\n",name] dataUsingEncoding:NSUTF8StringEncoding]];
	
	// 2012-10-12steve - need to know what type data is?
	if ( [data isKindOfClass:[NSData class]] ) { // if data is NSData - just append it
		[self appendData:data];
	}
	else if ( [data isKindOfClass:[NSString class]] ) {
		[self appendData:[[NSString stringWithString:data] dataUsingEncoding:NSUTF8StringEncoding]];
	}
	else {
		NSLog (@ "2012-10-12 ===>>> Inside %@ => %@... data of type[%@] is UNSupported !!!", [self class], NSStringFromSelector(_cmd) );
		[self appendData:[[NSString stringWithString:data] dataUsingEncoding:NSUTF8StringEncoding]]; // 2012-10-12steve JUST FORCE the ERROR
	}
	
	[self appendBoundary];
	
	return YES;
}


-(BOOL) appendData:(id)data forName:(NSString*)name dataType:(NSString*)dataType // 2012-10-13steve
{
	if ( data==nil ) return NO;
	if ( name==nil ) return NO;
	
	NSString* filename = @"dummyfilename.xml"; // 2013-03-20steve // 2012-10-13steve
	
	// [self appendData:[[NSString stringWithFormat:@"\r\n--%@\r\n",stringBoundary] dataUsingEncoding:NSUTF8StringEncoding]];
	// [self appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"datafile\"; filename=\"%@\"\r\n", [edFileName lastPathComponent]] dataUsingEncoding:NSUTF8StringEncoding]];
	[self appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"%@\"; filename=\"%@\"\r\n",name,filename] dataUsingEncoding:NSUTF8StringEncoding]];
	
	if ( dataType ) 
		[self appendData:[[NSString stringWithString:@"Content-Type: text/xml\r\n\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];
	
	// 2012-10-12steve - need to know what type data is?
	if ( [data isKindOfClass:[NSData class]] ) { // if data is NSData - just append it
		[self appendData:data];
	}
	else if ( [data isKindOfClass:[NSString class]] ) {
		[self appendData:[[NSString stringWithString:data] dataUsingEncoding:NSUTF8StringEncoding]];
	}
	else {
		NSLog (@ "2012-10-12 ===>>> Inside %@ => %@... data of type[%@] is UNSupported !!!", [self class], NSStringFromSelector(_cmd) );
		[self appendData:[[NSString stringWithString:data] dataUsingEncoding:NSUTF8StringEncoding]]; // 2012-10-12steve JUST FORCE the ERROR
	}
	
	[self appendBoundary];
	
	return YES;
}


//-(BOOL) appendImageData:(NSString*)imagePath
//{
//	
//	if ( imagePath==nil )
//	{
//		return NO;
//	}
//	
//	BOOL itemExists = [[NSFileManager defaultManager] fileExistsAtPath:imagePath];
//	if ( itemExists==NO )
//	{
//		return NO;
//	}
//	
//	[self appendData:@"Upload" forName:@"Submit"];
//	
//	//[self appendBoundary];
//	[self appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"imgfile\"; filename=\"%@\"\r\n", [imagePath lastPathComponent]] dataUsingEncoding:NSUTF8StringEncoding]];
//	[self appendData:[[NSString stringWithString:@"Content-Type: image/jpeg\r\n\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];
//	
//	
//	NSData *myFileData = [NSData dataWithContentsOfFile:imagePath];
//	if ( myFileData )
//	{
//		[self appendData:myFileData];
//	}
//	
//	return YES;
//}

//-(BOOL) appendImageData:(NSString*)imagePath forKey:(NSString*)keyName
//{
//	
//	if ( imagePath==nil )
//	{
//		return NO;
//	}
//	if ( keyName==nil )
//	{
//		return NO;
//	}
//	
//	BOOL itemExists = [[NSFileManager defaultManager] fileExistsAtPath:imagePath];
//	if ( itemExists==NO )
//	{
//		return NO;
//	}
//	
//	[self appendData:@"Upload" forName:@"Submit"];
//	
//	[self appendBoundary];
//	[self appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"%@\"; filename=\"%@\"\r\n", keyName, [imagePath lastPathComponent]] dataUsingEncoding:NSUTF8StringEncoding]];
//	[self appendData:[[NSString stringWithString:@"Content-Type: image/jpeg\r\n\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];
//	
//	
//	NSData *myFileData = [NSData dataWithContentsOfFile:imagePath];
//	if ( myFileData )
//	{
//		[self appendData:myFileData];
//	}
//	
//	return YES;
//}

-(BOOL) appendImageData2:(NSString*)imagePath forKey:(NSString*)keyName
{
	
	if ( imagePath==nil )
	{
		return NO;
	}
	if ( keyName==nil )
	{
		return NO;
	}
	
	BOOL itemExists = [[NSFileManager defaultManager] fileExistsAtPath:imagePath];
	if ( itemExists==NO )
	{
		return NO;
	}
	
	[self appendData:[[NSString stringWithFormat:@"Content-Disposition: form-data; name=\"%@\"; filename=\"%@\"\r\n", keyName, [imagePath lastPathComponent]] dataUsingEncoding:NSUTF8StringEncoding]];

	
	id fileExt = [imagePath pathExtension];
	if ( fileExt==nil || [fileExt length]==0 )
	{
		fileExt = [NSString stringWithString:@"jpg"]; // assume jpegs
	}

	if ( [fileExt caseInsensitiveCompare:@"png"]==NSOrderedSame ) { // 2011-12-06steve check for PNGs
		[self appendData:[[NSString stringWithString:@"Content-Type: image/png\r\n\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];
	}
	else if ( [fileExt caseInsensitiveCompare:@"mov"]==NSOrderedSame ) { // 2011-12-06steve check for Movies
		[self appendData:[[NSString stringWithString:@"Content-Type: video/quicktime\r\n\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];
	}
	else {
		[self appendData:[[NSString stringWithString:@"Content-Type: image/jpeg\r\n\r\n"] dataUsingEncoding:NSUTF8StringEncoding]];		
	}
	
	
	NSData *myFileData = [NSData dataWithContentsOfFile:imagePath];
	if ( myFileData )
	{
		[self appendData:myFileData];
	}
	
	[self appendBoundary];
	
	return YES;
}


@end
