//
//  webKeyInfoObject.h
//  Teps-VideoWall
//
//  Created by Support on 1/17/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ATMPPR_Security.h"


@interface webKeyInfoObject : NSObject {
	
	ATMPPR_SecureSettings	*settings;
	id						webInfo;
}	

-(id) initForTPI;	// 2012-09-21steve
-(id) initForPT;	// 2012-09-21steve
-(BOOL) isValidLicense;	// 2012-09-21steve


-(void) createNewDictionary;
-(ATMPPR_SecureSettings*) settings;		// 2012-02-13

-(void) setLicenseCode:(NSString*) licenseCode;	// 2011-04-28steve
-(NSString*) getLicenseCode;	// 2011-04-28steve

-(void) setPrintCount:(int) printCount; // 2011-04-28steve

-(void) setExpirationDate:(NSString*) expDate;
-(void) registerEmail:(NSString*) email;
-(NSString*) getRegisteredEmail; // 2011-04-27steve
-(BOOL) isVendorVersionRegistered;
-(long) getPrintCount;
-(bool) validateSerialNumber;
-(bool) validateCount; // 2012-11-01steve
-(bool) validateExpirationDate; // 2011-04-28steve
//2011-04-28steve -(bool) validateExpirationDate: (NSDate*) expire;

-(void) setGlobalPrintCounts:(long) printCount	isCK: (bool) ckJob;		// 2011-04-28steve
-(void) setPrintCounts:(long) printCount	printToFile: (long) p2fCount	printToWeb: (long) webCount;		// 2011-04-28steve
-(void) resetAllPrintCounts;			// 2011-04-28steve



-(long) getTRPrintCount;			// 2011-04-28steve
-(long) getTRPrintCKCount;		// 2011-04-28steve
-(long) getTRRealPrintCount;		// 2011-04-28steve
-(long) getTRPrintToFileCount;	// 2011-04-28steve
-(long) getTRPrintToWebCount;	// 2011-04-28steve

-(void)setVerbose:(BOOL)state; // 2011-12-10steve


@end
