//
//  DvdStationWindowController.h
//  MyRecorder
//
//  Created by steve on 11/3/10.
//  Copyright 2010 TriPrism, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AVMovieViewController.h" // 2013-11-06steve


@interface DvdStationWindowController : NSWindowController {

	IBOutlet QTMovieView	*_myQTMovieView;
	IBOutlet NSTextField	*_myNSTextField;
	IBOutlet NSTextField	*_myNSTextFieldStatus;
	IBOutlet NSTabView		*_myNSTabView;
	
	
	BOOL _mStartedProcess;
	BOOL _mFoundNewMovie;
	BOOL _mInstalledWatcher;
	NSString* _mInstalledWatcherPath;
	
	NSString* _mCurrentMovieTitle;
	NSString* _mCurrentMoviePath;
	NSArray* _mCurrentMoviesToBurnList;
	NSString *mCurWorkingPath;
    
    NSMutableSet * _childProcesses; // 2013-09-09steve

    AVMovieViewController* mAVMovieViewController; // 2013-11-06steve

}

@property (retain) NSString *_mInstalledWatcherPath;
@property (retain) NSString *_mCurrentMovieTitle;
@property (retain) NSString *_mCurrentMoviePath;
@property (retain) NSArray *_mCurrentMoviesToBurnList;
@property (retain) NSString *mCurWorkingPath;
@property (nonatomic,retain) AVMovieViewController* mAVMovieViewController; // 2013-11-06steve


-(void) setupWatcher;

// PROCESS Tab
-(IBAction) doRevealItem1:(id)sender;
-(IBAction) doRevealItem2:(id)sender;
-(IBAction) doFindNextMovieAndBurn:(id)sender;
//- (IBAction)doButton1:(id)sender;

// ADMIN Tab
- (IBAction)doClickOnQuitToast:(id)sender;
- (IBAction)doClickOnBurnToast:(id)sender;

// PREF Tab
-(IBAction) ibClickedOnChangeToBeBurnFolder:(id)sender;
-(IBAction) ibClickedOnChangeFinishedDvdFolder:(id)sender;


@end
