//
//  EditMovieWindowController.h
//  Teps-Video
//
//  Created by tyler on 9/26/13.
//
//

#import <Cocoa/Cocoa.h>

@interface EditMovieWindowController : NSWindowController

{

}

@property (nonatomic,retain) IBOutlet NSSlider * mSlideIn;
@property (nonatomic,retain) IBOutlet NSSlider * mSlideOut;
@property (nonatomic,retain) IBOutlet NSSlider * mSlideHead;
@property (nonatomic,retain) IBOutlet NSButton * revertButton;
@property (nonatomic,retain) IBOutlet NSTextField * tSlideInValue;
@property (nonatomic,retain) IBOutlet NSTextField * tSlideOutValue;
@property (nonatomic,retain) IBOutlet NSTextField * tSelectionLength;
@property (nonatomic,retain) IBOutlet QTMovieView * mQTMovieView;
@property (nonatomic,retain) QTMovie * mQTMovie;
@property (nonatomic,retain) id movieRef;
@property (nonatomic,retain) NSTimer * playTimer;
@property (nonatomic,assign) double setIn;
@property (nonatomic,assign) double setOut;
@property (nonatomic,retain) id mydelegate; // 2013-10-08steve

-(IBAction)setInSelection:(id)sender;
-(IBAction)setPlayHead:(id)sender;
-(IBAction)setOutSelection:(id)sender;
-(IBAction)playSelection:(id)sender;
-(IBAction)trim:(id)sender;
-(IBAction)revertToOriginal:(id)sender;
-(IBAction)cropAndSave:(id)sender;

@end
