//
//  Preferences.m
//  Teps-Video
//
//  Created by support on 11/12/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "Preferences.h"
#import "TepsExtras.h"



bool gDoDailySubFolder = true; // 2010-11-12steve


// Generic ones
NSString* sPanelMessageKey = @"panelMessageKey";
NSString* sPanelPromptKey = @"panelPromptKey";
NSString* sPanelDelegateKey = @"panelDelegateKey";
NSString* sPanelSenderKey = @"panelSenderKey";


// Common for All Stations
NSString* sPrefOriginalVideosFolder = @"prefOriginalVideosFolder";
NSString* sPrefOriginalVideosFolderAliasData = @"prefOriginalVideosFolderAliasData";
NSString* sPrefOriginalVideosFolderIsValid = @"prefOriginalVideosFolderIsValid";

NSString* sPrefToBeBurnedFolder = @"prefToBeBurnedFolder";
NSString* sPrefToBeBurnedFolderAliasData = @"prefToBeBurnedFolderAliasData";
NSString* sPrefToBeBurnedFolderIsValid = @"prefToBeBurnedFolderIsValid";

NSString* sPrefFinishedDvdFolder = @"prefFinishedDvdFolder";
NSString* sPrefFinishedDvdFolderAliasData = @"prefFinishedDvdFolderAliasData";
NSString* sPrefFinishedDvdFolderIsValid = @"prefFinishedDvdFolderIsValid";


// Recording Station
NSString* sPrefOpenQTPlayerAfterSavedMovie = @"prefOpenQTPlayerAfterSavedMovie";
NSString* sPrefAutoSaveWithoutPrompting = @"prefAutoSaveWithoutPrompting";


extern NSString* computeCurrentDaysFolderString2 ( short hoursToShift, short minsToShift ); // 2011-11-07steve
extern NSString* getTodaysDateAsString(void); // 2011-11-15steve



#pragma mark -



NSString* getDailyFolderPathForKey(NSString* whichFolderKey)
{	
	// get the basePath
	NSString* basePath = [[NSUserDefaults standardUserDefaults] objectForKey:whichFolderKey];
	
	if ( basePath )
	{	
		// make sure basePath exists
		if ( gDoDailySubFolder ) // 2010-11-11steve
		{
			basePath = [basePath stringByAppendingPathComponent:getTodaysDateAsString()];
		}
		
	}
	
	return basePath;
}




NSString* getDailyFolderPathForMasterOriginalVideos(void)
{	
	return getDailyFolderPathForKey(sPrefOriginalVideosFolder);
}

NSString* getDailyFolderPathForToBeBurnedFolder(void)
{	
	return getDailyFolderPathForKey(sPrefToBeBurnedFolder);
}

NSString* getDailyFolderPathForFinishedDvds(void)
{	
	return getDailyFolderPathForKey(sPrefFinishedDvdFolder);

//	// get the basePath
//	NSString* basePath = [[NSUserDefaults standardUserDefaults] objectForKey:sPrefFinishedDvdFolder];
//	
//	// make sure basePath exists
//	NSString* dailyPath = basePath;	// 2010-11-11steve
//	if ( gDoDailySubFolder ) // 2010-11-11steve
//	{
//		dailyPath = [basePath stringByAppendingPathComponent:getTodaysDateAsString()];
//	}
//	
//	return dailyPath;
}



#pragma mark -

@implementation Preferences

@end
