//
//  StatusWindowController.m
//  Teps-Video
//
//  Created by steve on 2014-07-13.
//
//

#import "StatusWindowController.h"


extern NSString * sTepsVideoAppNotification; // 2014-07-21steve
extern NSString * sTepsXNotification; // 2014-07-21steve


@interface StatusWindowController ()

@end

@implementation StatusWindowController


@synthesize fOwner;
@synthesize mCaptureView;


#pragma mark -

- (id)initWithWindow:(NSWindow *)window
{
    self = [super initWithWindow:window];
    if (self) {
        // Initialization code here.
        
    }
    return self;
}

- (void)windowDidLoad
{
    [super windowDidLoad];
    
    // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.

}


-(void) awakeFromNib
{
    //[super awakeFromNib];
    
    self.window.level = NSStatusWindowLevel;
    
    [super awakeFromNib];

    
}

-(void) dealloc
{
    
    self.fOwner = nil;
    
    [super dealloc];
}



-(IBAction) doButton4:(id)sender // 2014-08-09steve
{
    NSLog(@"%@-%@...", self, NSStringFromSelector(_cmd));

    [self.window orderOut:nil];
}

-(IBAction) doButton5:(id)sender // 2014-08-09steve
{
    NSLog(@"%@-%@...", self, NSStringFromSelector(_cmd));

    [self.window orderOut:nil];

    [self.fOwner toggleRecording:nil];

}

-(IBAction) doButton3:(id)sender // 2014-07-21steve
{
    NSLog(@"%@-%@...", self, NSStringFromSelector(_cmd));

    NSMutableDictionary * param = [NSMutableDictionary dictionaryWithCapacity:0];

    NSString *myAppName = @"Teps-Video.app";
    [param setObject:@"requestImageID" forKey:@"action"];
    [param setObject:myAppName forKey:@"senderApp"];

    
    NSLog(@"Dictionary=%@", param);
    
    NSNotification* note = [NSNotification notificationWithName:sTepsXNotification
                                                         object:nil
                                                       userInfo:param];
    
    [[NSDistributedNotificationCenter defaultCenter] performSelectorOnMainThread:@selector(postNotification:)
                                                                      withObject:note
                                                                   waitUntilDone:YES];

    
    
    
}

-(IBAction) doButton1:(id)sender
{
    [self.fOwner bringToFront:nil];
    
}

-(IBAction) doButton2:(id)sender
{
    [self.fOwner toggleRecording:nil];
    
}


-(void) setTextField1:(NSString*)infoString doWait:(BOOL)doWait isError:(BOOL)isError // 2014-07-13steve
{
    [ibTextField1 ibUpdateNSTextFieldWithString:infoString
                                         doWait:doWait
                                        isError:isError]; // we want red color
    
}

-(void) setTextField1:(NSString*)infoString doWait:(BOOL)doWait withColor:(NSColor*)color // 2014-07-13steve
{
    [ibTextField1 ibUpdateNSTextFieldWithString:infoString
                                         doWait:doWait
                                      withColor:color]; // we want red color
    
}

-(void) setTextField2:(NSString*)infoString doWait:(BOOL)doWait isError:(BOOL)isError // 2014-07-13steve
{
    [ibTextField2 ibUpdateNSTextFieldWithString:infoString
                                         doWait:doWait
                                        isError:isError]; // we want red color
    
}

-(void) setTextField2:(NSString*)infoString doWait:(BOOL)doWait withColor:(NSColor*)color // 2014-07-13steve
{
    [ibTextField2 ibUpdateNSTextFieldWithString:infoString
                                         doWait:doWait
                                      withColor:color]; // we want red color
    
}





#pragma mark -

- (void)windowDidBecomeKey:(NSNotification *)notification
{
    NSLog(@"%@-%@...with notification = %@", self, NSStringFromSelector(_cmd), notification);

    id obj = [notification object];
    if (obj==self.window) {
        NSLog(@"we want to resign now.....");
        NSBeep();
    }
}


@end
