//
//  TepsExtras.h
//  MyRecorder
//
//  Created by steve on 11/4/10.
//  Copyright 2010 TriPrism, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#define cNotification_ChangeMovie @"ChangeMovie"
#define cNotification_UpdateProgressBar @"UpdateProgressBar" // 2013-11-20steve


extern NSString* sPrefFolderNameKey;
extern NSString* sPrefFolderNameIsValidKey;
extern NSString* sPrefFolderAliasDataKey;


NSInteger mySortByDate(id path1, id path2, void *info);

NSString* runThisShellScript ( NSString*scriptName, NSArray*paramArray );
BOOL launchScriptWithParameters ( id parameters );

void printToCups (NSString* itemPath); // 2014-08-26steve
void revealItemInFinder (NSString* itemPath);
void moveFileToUserTrash (NSString *filePath);

bool setPermission ( NSString* objcPath, UInt32 permMode );
bool setPermissionInC ( const char *itemPath, UInt32 permMode );
BOOL createDirectoryIfMissing (NSString* toBeCreatedPath);
BOOL validateFolderPrefWithParam ( NSDictionary* parameters);

NSString* createSafeFilePathFromBase ( NSString* creationPath );
NSString* getTodaysDateAsString(void);
NSString* getWorkingDirectoryPath ( NSString* localPathName );


#pragma mark -

@interface TepsExtras : NSObject {

}

@end
