//
//  TepsUrlHandler.h
//  FTPUpload
//
//  Created by steve on 6/12/09.
//  Copyright 2009 TriPrism,Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NotificationHeader.h"

@interface TepsUrlHandler : NSObject
{
	//id _progressDelegate;	// 2009-11-25steve delegate that handles the progress box
//2013-05-01steve
    id fProgressDelegate; // 2011-12-03steve use property method
	
	
//2013-05-01steve
    NSTimer* fUploadTimeOutTimer; // 2011-11-09steve
	
//2013-05-01steve
    BOOL fStarted; // 2011-12-03steve
//2013-05-01steve
    NSMutableDictionary* fResponseDictionary; // 2011-12-05steve
//2013-05-01steve
    NSMutableData* fReceivedData; // 2011-12-05steve
//2013-05-01steve
    NSURLConnection* fNSURLConn; // 2011-12-06steve
	
//2013-05-01steve
    BOOL fDoAsync; // 2011-12-20steve
	
//2013-05-01steve
    NSPort* fDummyPort; // 2011-03-22steve
//2013-05-01steve
    NSRunLoop* fRunLoop;
	
//2013-05-01steve
    BOOL fDoVerbose; // 2013-03-23steve
}

@property (nonatomic,retain) NSRunLoop* fRunLoop; // 2013-03-22steve
@property (nonatomic,retain) NSPort* fDummyPort; // 2013-03-22steve
@property (nonatomic,retain) NSURLConnection* fNSURLConn; // 2011-12-06steve
@property (nonatomic,retain) NSMutableDictionary* fResponseDictionary; // 2011-12-05steve
@property (nonatomic,retain) NSMutableData* fReceivedData; // 2011-12-05steve
@property (nonatomic,retain) id fProgressDelegate; // 2011-12-03steve CHANGE to property/synthesize operation
@property (nonatomic,retain) NSTimer* fUploadTimeOutTimer; // 2011-11-09steve
@property (nonatomic,assign) BOOL fStarted; // 2011-12-03steve
@property (nonatomic,assign) BOOL fDoAsync; // 2011-12-20steve
@property (nonatomic,assign) BOOL fDoVerbose; // 2011-12-20steve



// 2011-12-05steve use property - (void) setProgressDelegate:(id) theDelegate; // 2009-11-25steve

// 2010-06-26steve - (bool) doRunHttpUploaderWithInfo2: (NSDictionary*) info;	// 2009-11-28steve

- (bool) doRunHttpUploaderWithInfo: (NSDictionary*) info;
- (void) doRunHttpUploaderInThread:(id) info;

- (bool) doRunCustomAppsWithInfoNew:(NSDictionary*) param;


- (void) handleNotification_UploadStart:(NSNotification*) note;
- (void) handleNotification_UploadDone:(NSNotification*) note;
- (void) handleNotification_ScanFolder:(NSNotification*) note;
- (void) handleNotification_UploadSuccess:(NSNotification*) note;
- (void) handleNotification_UploadFail:(NSNotification*) note;


@end
