//
//  TepsXmlWriter.h
//  Teps-HotFolder
//
//  Created by steve on 5/18/12.
//  Copyright 2012 TriPrism, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface TepsXmlWriter : NSObject {

	NSMutableString* mString;
	
	NSMutableDictionary* mDictionary;
	
	NSInteger _indentCount;
	
	NSMutableDictionary* mLookupArrayName;

}

@property (nonatomic,retain) NSMutableString* mString;
@property (nonatomic,retain) NSMutableDictionary* mDictionary;
@property (nonatomic,retain) NSMutableDictionary* mLookupArrayName;
@property (nonatomic,assign) NSInteger _indentCount;



-(BOOL) doTest;

-(BOOL) processEachObject:(id) obj forKey:(NSString*)objectName;
-(BOOL) convertArrayToXml:(NSArray*) arrInfo forKey:(NSString*)keyname;
-(BOOL) convertDictionaryToXml:(NSMutableDictionary*) dictInfo forKey:(NSString*)keyname;

-(BOOL) doStartConversion:(NSMutableDictionary*) dictionary;


@end
