//
//  ATMPPR_XMLinEXIF.h
//  CameraControl
//
//  Created by tyler on 11/17/09.
//  Copyright 2009 Atomic Pepper LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ATMPPR_XMLinEXIF : NSObject {

}

// embed and extract a property list object into the EXIF data of a JPEG image file
// NOTE: be sure that the property list object contains only "property list format" objects
// "property list format" objects == ( NSData, NSDate, NSString, NSNumber, NSDictionary, NSArray )
// additionally, all keys in any NSDictionary *must* be NSStrings

+(id)jpegDataWithPropertyListObject:(id)plistObj embeddedInExifDataForJpegData:(NSData *)data;
+(id)jpegDataWithPropertyListObject:(id)plistObj embeddedInExifDataForJpegAtPath:(NSString *)path;
+(id)propertyListObjectForJpegData:(NSData *)data;
+(id)propertyListObjectForJpegAtPath:(NSString *)path;

@end
